body {
  color: rgba(0, 0, 0, 0.88);
  font-family:
    -apple-system, BlinkMacSystemFont, Roboto, Arial, Helvetica, 'Segoe UI',
    'Noto Sans', sans-serif, 'Apple Color Emoji', 'Segoe UI Emoji',
    'Segoe UI Symbol', 'Noto Color Emoji';
}

/* 滚动条 */
@media (hover: hover) and (pointer: fine) {
  ::-webkit-scrollbar {
    width: 10px;
    height: 10px;
  }

  ::-webkit-scrollbar-thumb {
    border-radius: 6px;
    border: 2px solid transparent;
    background-color: #cfcfcf;
    background-clip: padding-box;
  }

  ::-webkit-scrollbar-thumb:hover {
    background-color: #b6b6b6;
  }

  ::-webkit-scrollbar-track,
  ::-webkit-scrollbar-corner {
    background: transparent;
  }

  html.ele-layui-dark::-webkit-scrollbar-thumb,
  html.ele-layui-dark body::-webkit-scrollbar-thumb,
  html.ele-login-dark::-webkit-scrollbar-thumb,
  html.ele-login-dark body::-webkit-scrollbar-thumb {
    background-color: #484848;
  }

  html.ele-layui-dark::-webkit-scrollbar-thumb:hover,
  html.ele-layui-dark body::-webkit-scrollbar-thumb:hover,
  html.ele-login-dark::-webkit-scrollbar-thumb:hover,
  html.ele-login-dark body::-webkit-scrollbar-thumb:hover {
    background-color: #5b5b5b;
  }
}

@supports (-moz-appearance: none) {
  * {
    scrollbar-width: thin;
    scrollbar-color: #cfcfcf transparent;
  }

  html.ele-layui-dark,
  html.ele-layui-dark body,
  html.ele-login-dark,
  html.ele-login-dark body {
    scrollbar-color: #484848 transparent;
  }
}

/* -------- 圆角 -------- */
.layui-btn,
/* 表单元素 */
.layui-input,
.layui-select,
.layui-textarea,
/* 分页组件 */
.layui-laypage-em,
.layui-laypage button,
.layui-laypage input,
.layui-laypage select,
/* 表头按钮 */
.layui-table-tool .layui-inline[lay-event],
/* 询问框 */
.layui-layer-btn a,
.layui-layer-prompt .layui-layer-input,
/* 日期 */
.layui-laydate-content td,
.layui-laydate-content td > div,
.layui-laydate-list li,
.layui-laydate-footer span,
/* 颜色选择 */
.layui-colorpicker-main-input > .layui-btn-group {
  border-radius: 6px;
}

.layui-laydate .laydate-time-list ol li {
  border-radius: 0;
}

/* 日期操作按钮 */
.laydate-footer-btns span:first-child {
  border-radius: 6px 0 0 6px;
}

.laydate-footer-btns span:last-child {
  border-radius: 0 6px 6px 0;
}

.laydate-footer-btns span {
  border-radius: 0;
}

/* 复选框 */
.layui-form-checkbox[lay-skin='primary'] > i {
  border-radius: 4px;
}

.layui-form-checkbox[lay-skin='primary']:not(.layui-form-checked):hover > i {
  color: transparent;
}

/* 弹窗 */
.layui-layer,
/* 弹出面板 */
.layui-form-select dl,
.layui-panel,
/* 表头按钮弹出面板 */
.layui-table-tool-panel,
/* 日期弹出面板 */
.layui-laydate,
/* 卡片 */
.layui-card,
/* 颜色选择 */
.layui-colorpicker-main {
  border-radius: 8px;
}

/* 颜色选择 */
.layui-colorpicker-main-input > .layui-btn-group > .layui-btn:first-child {
  border-top-left-radius: inherit !important;
  border-bottom-left-radius: inherit !important;
}

.layui-colorpicker-main-input > .layui-btn-group > .layui-btn:last-child {
  border-top-right-radius: inherit !important;
  border-bottom-right-radius: inherit !important;
}

/* -------- 尺寸 -------- */
/* 表单 */
.layui-input,
.layui-select {
  height: 32px;
}

.layui-input-wrap,
.layui-input-affix {
  line-height: 32px;
}

.layui-input-block {
  min-height: 32px;
}

.layui-form-label {
  padding-top: 6px;
  padding-bottom: 6px;
}

.layui-form-item {
  margin-bottom: 18px;
}

.layui-form-switch {
  margin-top: 4px;
}

/* 单选 */
.layui-form-radio > i {
  font-size: 18px;
}

.layui-form-radio {
  margin-top: 2px;
}

/* 多选 */
.layui-form-checkbox[lay-skin='primary'] > .layui-icon-indeterminate:before {
  height: 2px;
  margin-top: -3px;
}

.layui-form-checkbox[lay-skin='primary']:not(.layui-form-checked) > i {
  background: transparent;
}

.layui-form-switch {
  height: 23px;
  line-height: 23px;
  padding: 0 8px;
}

.layui-form-switch:not(.layui-form-onswitch) > i {
  left: 3px;
  transform: scale(0.88);
}

.layui-form-onswitch > i {
  margin-left: -19px;
  transform: scale(0.88);
}

.layui-form-switch:not(.layui-form-onswitch) > div {
  margin-left: 15px;
}

.layui-form-onswitch > div {
  margin-right: 15px;
}

/* 按钮 */
.layui-btn:not(.layui-btn-lg):not(.layui-btn-sm):not(.layui-btn-xs),
.layui-table-tool .layui-btn-sm,
.split-page-side .layui-btn-sm,
.layui-layer-btn a {
  height: 32px;
  line-height: 32px;
  padding-left: 12px;
  padding-right: 12px;
  font-size: 14px;
}

.layui-btn-container .layui-btn {
  margin-right: 12px;
}

.layui-layer-btn a {
  min-width: 66px;
  margin-left: 6px;
  margin-right: 6px;
  text-align: center;
  transition:
    color 0.2s,
    border-color 0.2s,
    background-color 0.2s,
    opacity 0.2s;
}

.layui-table-page .layui-laypage button,
.layui-laydate-footer span,
.layui-layer-btn a,
.layui-layer-prompt .layui-layer-input,
.layui-menu,
.layui-laypage select,
.layui-form-switch:not(.layui-form-onswitch) {
  background: transparent;
}

/* 下拉 */
.layui-form-select dl dd + dd {
  margin-top: 2px;
}

/* 弹窗 */
.layui-layer-btn {
  padding: 0 14px 20px 14px;
  display: flex;
  align-items: center;
  flex-direction: row-reverse;
}

.layui-layer-title {
  font-size: 16px;
  font-weight: 500;
  height: 52px;
  line-height: 52px;
}

.layui-layer-setwin span {
  width: 22px;
  height: 22px;
  line-height: 22px;
  border-radius: 5px;
  transition:
    color 0.2s,
    background-color 0.2s;
}

.layui-layer-setwin .layui-layer-close:hover {
  background: hsla(0, 0%, 60%, 0.15);
  opacity: 1;
}

.layui-layer-dialog:not(.layui-layer-msg) {
  min-width: 320px;
}

/* 表格 */
.layui-table:not([lay-size='lg']):not([lay-size='sm']) .layui-table-cell {
  height: 44px;
  padding-top: 8px;
  padding-bottom: 8px;
}

.layui-table-cell .layui-form-switch {
  transform: scale(0.8);
}

.layui-table-header,
.layui-table-tool {
  background: hsla(0, 0%, 68%, 0.08);
}

.layui-table-header table {
  background: none !important;
}

.layui-table-fixed .layui-table-header {
  background: hsl(0, 0%, 97.44%);
}

.layui-table th {
  font-weight: 500;
}

.layui-table-tool {
  border-top-left-radius: 8px;
  border-top-right-radius: 8px;
}

.layui-table-view {
  border-radius: 8px;
  overflow: hidden;
}

.layui-table-view:after {
  background: none;
  width: 16px;
  border-right: 1px solid rgba(0, 0, 0, 0.12);
  border-radius: 8px;
  pointer-events: none;
}

.layui-table-tree-nodeIcon {
  margin-right: 8px;
  vertical-align: -1px;
}

.layui-table-tree-flexIcon {
  margin-right: 5px;
  vertical-align: -1px;
}

/* 文字颜色 */
.layui-form-select,
.layui-btn-primary,
.layui-table,
.layui-tree-txt,
.layui-layer-btn a,
.layui-form-radio > i.layui-icon + div,
.layui-form-checkbox[lay-skin='primary'] > div,
.layui-laypage-btn,
.layui-laypage select,
.layui-menu li,
.layui-menu-body-title,
.layui-menu-body-title a {
  color: rgba(0, 0, 0, 0.88);
}

.layui-layer-title,
.layui-table th > .layui-table-cell {
  color: rgba(0, 0, 0, 0.92);
}

.layui-btn-primary:hover {
  opacity: 1;
}

.layui-laypage .layui-laypage-skip {
  color: rgba(0, 0, 0, 0.6);
}

.layui-font-green {
  color: #52c41a !important;
}

.layui-font-red {
  color: #ff4d4f !important;
}

.layui-bg-red {
  background-color: #ff4d4f !important;
}

.layui-bg-orange {
  background-color: #faad14 !important;
}

/* 边框颜色 */
.layui-input,
.layui-textarea,
.layui-btn-primary,
.layui-layer-prompt .layui-layer-input,
.layui-layer-btn a,
.layui-input-split,
.layui-input-wrap .layui-input-number .layui-icon-up,
.layui-form-switch:not(.layui-form-onswitch) {
  border-color: rgba(0, 0, 0, 0.14);
}

.layui-table td,
.layui-table th,
.layui-table-header,
.layui-table-view,
.layui-table-tool,
.layui-table-page,
.layui-layer-title,
.layui-laypage a,
.layui-laypage button,
.layui-laypage input,
.layui-laypage select,
.layui-laypage span,
.layui-table-cell-c,
.layui-table-grid-down,
.layui-menu .layui-menu-item-divider,
.layui-card-header,
.layui-tabs-header:after,
.layui-tabs-scroll:after,
.layui-table[lay-skin='line'] {
  border-color: rgba(0, 0, 0, 0.12);
}

/* 边框选中主色 */
.layui-input:not(.layui-form-danger):hover,
.layui-textarea:not(.layui-form-danger):hover,
.layui-form-checked[lay-skin='primary'] > i,
.layui-btn-primary.layui-border-green {
  border-color: #2f54eb !important;
}

.layui-input.layui-form-danger:hover,
.layui-textarea.layui-form-danger:hover {
  border-color: #ff5722 !important;
}

.layui-input:not(.layui-form-danger):focus,
.layui-textarea:not(.layui-form-danger):focus,
.layui-laypage input:focus,
.layui-laypage select:focus,
.layui-layer-prompt .layui-layer-input:focus {
  border-color: #2f54eb !important;
  box-shadow: 0 0 0 2px #d5ddfb;
}

.layui-btn-primary:hover,
.layui-input-wrap .layui-input:focus + .layui-input-split,
.layui-form-onswitch,
.layui-form-checkbox[lay-skin='primary']:hover > i,
.layui-layer-prompt .layui-layer-input:hover,
.layui-layer-btn a:hover,
button.layui-laypage-btn:hover,
.layui-laypage select:hover,
.layui-form-checkbox[lay-skin='primary'] > .layui-icon-indeterminate,
.layui-table-cell-c:hover,
.layui-tabs-header .layui-this:after {
  border-color: #2f54eb;
}

/* 背景主色 */
.layui-btn:not(.layui-btn-primary),
.layui-laypage .layui-laypage-curr .layui-laypage-em,
.layui-form-onswitch,
.layui-layer-btn .layui-layer-btn0,
.layui-form-checked[lay-skin='primary'] > i,
.layui-form-checkbox[lay-skin='primary'] > .layui-icon-indeterminate:before,
.layui-progress-bar {
  background: #2f54eb;
}

.layui-laydate .layui-this,
.layui-laydate .layui-this > div {
  background: #2f54eb !important;
}

.layui-table-checked {
  background: #f0f5ff;
}

.layui-table-checked.layui-table-click,
.layui-table-checked.layui-table-hover,
.layui-table[lay-even] tbody tr:nth-child(even).layui-table-checked {
  background: #d6e4ff;
}

/* 文字主色 */
.layui-form-radio:hover > *,
.layui-form-radioed,
.layui-form-radioed > i,
.layui-text a:not(.layui-btn),
.layui-form-select dl dd.layui-this,
.layui-laydate-header i:hover,
.layui-laydate-header span:hover,
.layui-laydate-footer span:hover,
.layui-layer-btn a.layui-layer-btn1:hover,
.layui-btn-primary:hover,
button.layui-laypage-btn:hover,
.layui-laypage a:hover,
.layui-btn-group .layui-btn-primary:hover,
.layui-laydate-footer span[lay-type='date'],
.layui-tabs-header .layui-this,
.layui-tabs-header li:hover,
.layui-timeline-axis {
  color: #2f54eb;
}

.layui-laydate-preview[style='color: rgb(22, 183, 119);'],
.layui-btn-primary.layui-border-green {
  color: #2f54eb !important;
}

/* 阴影 */
.layui-card {
  border: 1px solid rgba(0, 0, 0, 0.08);
  box-shadow: none;
}

.layui-form-select dl,
.layui-panel,
.layui-table-tool-panel,
.layui-laydate,
.layui-laydate-hint,
.layui-layer-msg {
  border: 1px solid rgba(0, 0, 0, 0.1);
  box-shadow:
    0 12px 32px rgba(0, 0, 0, 0.02),
    0 2px 8px rgba(0, 0, 0, 0.078);
}

/* 填充背景 */
.layui-form-select dl dd:hover,
.layui-form-select dl dd.layui-this,
.layui-menu li:hover,
.layui-table-tool-panel li:hover,
.layui-table-click,
.layui-table-hover,
.layui-table[lay-even] tbody tr:nth-child(even),
.layui-laydate-content td > div:hover,
.layui-laydate-list li:hover,
.layui-laydate-shortcut > li:hover {
  background: hsla(0, 0%, 60%, 0.13);
}

/* 移动端适配 */
.layui-layer {
  max-width: calc(100vw - 24px);
  max-height: calc(100vh - 24px);
  display: flex;
  flex-direction: column;
}

.layui-layer-title {
  flex-shrink: 0;
}

.layui-layer-content {
  flex: 1;
}

/* 卡片 */
.layui-card-header {
  font-size: 15px;
  font-weight: 500;
  padding: 13px 20px;
}

/* 选项卡 */
.layui-tabs-header .layui-this:after {
  border-bottom-width: 2px;
}

/* 表单校验 */
.layui-form-danger + .layui-form-select .layui-input:hover {
  border-color: #ff5722 !important;
}

.layui-form-danger + .layui-form-select .layui-input:focus {
  border-color: #ff5722 !important;
  box-shadow: 0 0 0 3px rgba(255, 87, 34, 0.08);
}

/* 进度条 */
.layui-progress {
  background-color: rgba(0, 0, 0, 0.12);
}

/* 暗黑主题 */
html.ele-layui-dark {
  color-scheme: dark;
  filter: invert(1) hue-rotate(168deg);
}

html.ele-layui-dark img,
html.ele-layui-dark .ele-dark-exclude,
html.ele-layui-dark .layui-btn:not(.layui-btn-primary),
html.ele-layui-dark .layui-form-switch:not(.layui-form-onswitch) > i,
html.ele-layui-dark .layui-form-switch.layui-form-onswitch,
html.ele-layui-dark .layui-laypage .layui-laypage-curr em,
html.ele-layui-dark .layui-laydate li.layui-this,
html.ele-layui-dark .layui-laydate .layui-this > div,
html.ele-layui-dark .layui-font-red,
html.ele-layui-dark .layui-form-checked[lay-skin='primary'] > i,
html.ele-layui-dark .layui-layer-btn .layui-layer-btn0,
html.ele-layui-dark  .layui-colorpicker-main-wrapper,
html.ele-layui-dark  .layui-colorpicker-main-alpha,
/* 外层页面弹窗 */
html.ele-theme-dark .layui-layer-btn .layui-layer-btn0,
html.ele-theme-dark .layui-btn:not(.layui-btn-primary),
html.ele-theme-dark  .layui-colorpicker-main-wrapper,
html.ele-theme-dark  .layui-colorpicker-main-alpha {
  filter: invert(1) hue-rotate(192deg);
}

html.ele-layui-dark .layui-layer-shade {
  background: #eee !important;
  opacity: 0.6 !important;
}

html.ele-layui-dark .layui-laydate .layui-laydate-list {
  background: #e6e6e6;
}

html.ele-layui-dark .layui-card,
html.ele-layui-dark .layui-layer,
html.ele-layui-dark .layui-input,
html.ele-layui-dark .layui-select,
html.ele-layui-dark .layui-textarea,
html.ele-layui-dark .layui-table,
html.ele-layui-dark .layui-table-cell-c,
html.ele-layui-dark .layui-table-grid-down,
/* 外层页面弹窗 */
html.ele-theme-dark .layui-layer,
html.ele-theme-dark .layui-input,
html.ele-theme-dark .layui-select,
html.ele-theme-dark .layui-textarea,
/* 登录页面弹窗 */
html.ele-login-dark .layui-layer,
html.ele-login-dark .layui-input,
html.ele-login-dark .layui-select,
html.ele-login-dark .layui-textarea {
  background: #eaeaea;
}

html.ele-layui-dark .layui-layer,
/* 外层页面弹窗 */
html.ele-theme-dark .layui-layer,
/* 登录页面弹窗 */
html.ele-login-dark .layui-layer {
  box-shadow: 0 0 12px rgba(255, 255, 255, 0.88);
}

html.ele-layui-dark .layui-form-select dl,
html.ele-layui-dark .layui-panel,
html.ele-layui-dark .layui-table-tool-panel,
html.ele-layui-dark .layui-laydate,
html.ele-layui-dark .layui-laydate-hint,
html.ele-layui-dark .layui-layer-msg,
/* 登录页面弹窗 */
html.ele-login-dark .layui-dropdown.layui-panel,
html.ele-login-dark .layui-layer-msg,
/* 外层页面弹窗 */
html.ele-theme-dark .layui-dropdown.layui-panel,
html.ele-theme-dark .layui-layer-msg,
html.ele-theme-dark .layui-colorpicker-main {
  background: #e6e6e6;
  box-shadow: 0 0 12px rgba(255, 255, 255, 0.88);
}

/* 登录页面 */
html.ele-login-dark .login-content,
html.ele-login-dark .layui-dropdown.layui-panel,
html.ele-login-dark .layui-layer,
/* 外层页面 */
html.ele-theme-dark .layui-dropdown.layui-panel,
html.ele-theme-dark .layui-layer,
html.ele-theme-dark .layui-colorpicker-main {
  filter: invert(1) hue-rotate(168deg);
}

html.disabled-layui-transition,
html.disabled-layui-transition * {
  transition: none !important;
}
